saxon:validate()

Having trouble installing <oXygen/>? Got a bug to report? Post it all here.
whyme
Posts: 60
Joined: Fri Mar 08, 2013 8:58 am

saxon:validate()

Post by whyme » Thu Jul 18, 2019 8:27 am

In an XSLT 3.0 stylesheet I want to invoke from the Saxon function library saxon:validate(). oXygen offers the function as part of the autocomplete options when I type. But once the function is in place, the stylesheet is marked as invalid, saying that it cannot find a 1-argument function named {http://saxon.sf.net/}validate(). I have tried validating against both PE and EE editions, and with 2- and 3-parameter versions, with the same effect.

Several of the other Saxon functions I tried worked fine: the stylesheet was both valid and operational. Thoughts?

whyme
Posts: 60
Joined: Fri Mar 08, 2013 8:58 am

Re: saxon:validate()

Post by whyme » Thu Jul 18, 2019 8:41 am

I just found the problem: in my Preferences > XML > XSLT-XQuery > XSLT > Saxon > Saxon-HE/PE/EE I had been pointing to a configuration file, which was overriding the options I had set up to handle saxon:validate(). Hope this helps someone else who stubs their toe on the same issue.

Radu
Posts: 6503
Joined: Fri Jul 09, 2004 5:18 pm

Re: saxon:validate()

Post by Radu » Mon Jul 22, 2019 10:11 am

Hi,

Thanks for updating your post with the solution. Indeed the configuration file overrides the preferences.

Regards,
Radu
Radu Coravu
<oXygen/> XML Editor
http://www.oxygenxml.com

Post Reply